### Method

# Shell WindowPreviewLayout get_windows

#### Declaration [src]

    GList*
    shell_window_preview_layout_get_windows (
      ShellWindowPreviewLayout* self
    )

#### Description [src]

Gets an array of all MetaWindows that were added to the layout using shell_window_preview_layout_add_window(), ordered by the insertion order.

#### Return value

Type: A list of `None`

The list of windows.

The caller of the method takes ownership of the data container, but not the data inside it.